New phone and plan

Good evening I need to know what plan and phone I would need when driving for Uber. I have a Moto E 2nd Gen with 4G LTE RUNNING 3GB. I constantly get a system error while running the google maps and the Uber apps.

First, check the coverage where you will be working. The new 3.0 phones mostly work on T-Mobile, the Moto E (2nd Gen) on Sprint.

4G LTE Coverage Map | Check Your 4G LTE Cell Phone Coverage | T-Mobile

https://coverage.sprint.com/IMPACT.jsp

Warning: “Fair” coverage on the T-Mobile map is optimistic.

Message an
Expert customer